> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove multiple table rows in batch



## OpenAPI

````yaml /en/openapi.json delete /v1/tables/{tableId}/rows/batch
openapi: 3.0.0
info:
  title: Nuvia API - Company
  description: API documentation for companies
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: messages
    x-group: Mensagens
  - name: contacts
    x-group: Contatos
  - name: campaigns
    x-group: Campanhas
  - name: tables
    x-group: Tabelas e Listas
  - name: agents
    x-group: Agentes
  - name: conversations
    x-group: Conversas
  - name: inboxes
    x-group: Caixas de Entrada
  - name: knowledge
    x-group: Base de Conhecimento
  - name: Webhooks
    x-group: Webhooks
  - name: campaign-enrollments
    x-group: Inscrições em Campanha
  - name: custom-fields
    x-group: Campos Customizados
paths:
  /v1/tables/{tableId}/rows/batch:
    delete:
      tags:
        - tables
      summary: Remove multiple table rows in batch
      operationId: TableController_deleteRowsBatch
      parameters:
        - name: x-company-id
          in: header
          description: >-
            Target company identifier. Required only for global API keys
            (type=global). Ignored for company API keys and human users.
          required: false
          schema:
            type: string
        - name: tableId
          required: true
          in: path
          description: Table ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteTableRowsBatchDto'
      responses:
        '200':
          description: ''
      security:
        - JWT-auth: []
components:
  schemas:
    DeleteTableRowsBatchDto:
      type: object
      properties:
        rowIds:
          minItems: 1
          maxItems: 500
          description: IDs of the rows to remove (1 to 500)
          example:
            - 507f1f77bcf86cd799439011
            - 507f1f77bcf86cd799439012
          type: array
          items:
            type: string
      required:
        - rowIds
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Token JWT de autenticação

````